%global uuid noim@fpmurphy.com
%global shortname noim

Name:           gnome-shell-extension-noim
Version:        1.0
Release:        2%{?dist}
Summary:        A gnome-shell extension for removing the name and the IM status 

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.fpmurphy.com/gnome-shell-extensions/
Source0:        http://www.fpmurphy.com/gnome-shell-extensions/%{shortname}-%{version}.tar.gz
BuildArch:      noarch

Requires:       gnome-shell >= 3.0.1


%description
Remove name and IM status options from Gnome Shell.


%prep
%setup -q -n %{uuid}


%build
# Nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
install -Dp -m 0644 {extension.js,metadata.json,stylesheet.css} \
  %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}/


%files
%defattr(-,root,root,-)
%doc README
%{_datadir}/gnome-shell/extensions/%{uuid}/


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 02 2011 Fabian Affolter <fabian@bernewireless.net> - 1.0-1
- Initial package for Fedora
